Loading...
Searching...
No Matches
ranges::back_fn Struct Reference
Range

## Public Member Functions

template<typename Rng > requires common_range<Rng> && bidirectional_range<Rng> && borrowed_range<Rng>
constexpr range_reference_t< Rng > | operator() (Rng &&rng) const

## Member Function Documentation

## operator()()

template<typename Rng >
requires common_range<Rng> && bidirectional_range<Rng> && borrowed_range<Rng>

constexpr range_reference_t< Rng > ranges::back_fn::operator() | ( | Rng && | rng | ) | const

constexpr

Returns
  `*prev(end(rng))`

References ranges::end, and ranges::prev.